Subject: bug#11067: 24.0.94.1; diff-buffer-with-file

From: Stefan Monnier <[email-masked]>
Date: Fri, 23 Mar 2012 21:53:57 -0400

> http://alpha.gnu.org/gnu/emacs/windows/emacs-20120319-r107630-bin-i386.zip
> and `diff-buffer-with-file' is not working like it did in Emacs 23.4.1
> 1. Start emacs -Q
> 2. Set `diff-command' to "winmerge" and `diff-switches' to nil

It seems that's your problem: winmerge is not a replacement for `diff'
because it does not accept the "-L <label>" argument of diff.

Any particular reason to use winmerge rather than diff?  Does it let you
view the diff in winmerge, or does it return a diff-style output in *diff*?

        Stefan